package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserOperationRecord extends Model<UserOperationRecord> implements Serializable {

    @Serial
    private static final long serialVersionUID = -36471439361446383L;


    private Long id;

    /**
     * 操作类型
     */
    private Integer type;

    /**
     * 用户名
     */
    private String username;

    /**
     * 请求地址
     */
    private String uri;

    /**
     * 菜单
     */
    private String menu;

    /**
     * 请求参数
     */
    private String request;

    /**
     * 请求结果
     */
    private String result;

    /**
     * 登录ip
     */
    private String ip;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")

    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")

    private Date updateTime;
}
